/* Set up default fonts and sizes */
:root
{
	/*  */
	--default-font-size: 16px;
	--default-font: 'Roboto';

	--header-font: 'League Spartan';
	--tagline-font: 'Glacial indifference';

	/* At 16px base size, this ends up at exactly even pixels. */
	--space-tiny:  0.0625rem;
	--space-small:  0.125rem;
	--space-normal: 0.250rem;
	--space-thick:  0.375rem;
	--space-huge:   0.500rem;

	/* Define how to round borders. */
	/* Outer is default, inner is for elements inside rounded elements.*/
	--radius-outer: 0.33rem;
	--radius-inner: 0.25rem;

	/* Define how many letters to show per line of text. */
	--text-width: 50ex;
}

/* Set up the site color pallette. */
:root
{
	--white-full:   rgba(256, 256, 256, 1.00);
	--white-strong: rgba(256, 256, 256, 0.73);
	--white-medium: rgba(256, 256, 256, 0.51);
	--white-weak:   rgba(256, 256, 256, 0.37);
	--white:        var(--white-full);

	--black-full:   rgba(0, 0, 0, 1.00);
	--black-strong: rgba(0, 0, 0, 0.65);
	--black-medium: rgba(0, 0, 0, 0.31);
	--black-weak:   rgba(0, 0, 0, 0.11);
	--black:        var(--black-full);

	--teal-bright:  #EBFFFC;
	--teal-lighter: #52C4C4;
	--teal-neutral: #20ABB7;
	--teal-darker:  #1299A9;

	--red:          #c1380a;
	--orange:       #c1b20a;
	--green:        #0ac18e;
}

/* Set up the default light theme. */
html
{
	--background:       var(--white);
	--foreground:       var(--black);

	--title-background: var(--teal-bright);

	--shadow-position:  var(--space-small);
	--shadow-color:     var(--black-weak);
	--shadow-blur:      var(--space-normal);

	--text:             var(--black);
	--text-muted:       var(--black-strong);
	--border:           var(--black-strong);
	--border-muted:     var(--black-medium);

	--primary:          var(--teal-neutral);
	--primary-text:     var(--teal-neutral);
	--primary-muted:    var(--teal-darker);
	--primary-border:   var(--teal-darker);
	--primary-focus:    var(--teal-lighter);
	--primary-bright:   var(--teal-bright);

	--disabled-text:    var(--black-medium);
	--disabled-color:   var(--black-weak);
	--disabled-border:  var(--black-strong);

	--icon:             var(--black);
	--icon-muted:       var(--black-strong);
	--icon-border:      var(--black-medium);

	--positive:         var(--green);
	--negative:         var(--red);
	--pending:          var(--orange);

	--overlay:          rgba(127, 127, 127, 0.50);
	--odd:              rgba(0, 0, 0, 0.05);
	--even:             rgba(0, 0, 0, 0.02);
}

/* Set up an alternative dark theme. */
/* NOTE: toggle based on @media (prefers-color-scheme: dark) in javascript. */
html.darkmode
{
	--background:       var(--black);
	--foreground:       var(--white);

	--title-background: var(--teal-darker);

	--shadow-position:  0;
	--shadow-color:     var(--white-weak);
	--shadow-blur:      var(--space-normal);

	--text:             var(--white);
	--text-muted:       var(--white-strong);
	--border:           var(--white-strong);
	--border-muted:     var(--white-medium);

	--primary:          var(--teal-neutral);
	--primary-text:     var(--teal-neutral);
	--primary-muted:    var(--teal-lighter);
	--primary-border:   var(--teal-lighter);
	--primary-focus:    var(--teal-darker);
	--primary-bright:   var(--teal-bright);

	--disabled-text:    var(--white-medium);
	--disabled-color:   var(--white-weak);
	--disabled-border:  var(--white-strong);

	--icon:             var(--white);
	--icon-muted:       var(--white-strong);
	--icon-border:      var(--white-medium);

	--positive:         var(--green);
	--negative:         var(--red);
	--pending:          var(--orange);

	--overlay:          rgba(127, 127, 127, 0.50);
	--odd:              rgba(256, 256, 256, 0.10);
	--even:             rgba(256, 256, 256, 0.06);
}

